Package weka.core.xml

# Class KOML

java.lang.Object
weka.core.xml.KOML

All Implemented Interfaces:
  `RevisionHandler`

public class KOML extends Object implements RevisionHandler
This class is a helper class for XML serialization using KOML . KOML does not need to be present, since the class-calls are done generically via Reflection.

Version:
  $Revision 1.0$
Author:
  FracPete (fracpete at waikato dot ac dot nz)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FILE_EXTENSION`
  the extension for KOML files (including '.')

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KOML()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRevision()`
  Returns the revision string.
  `static boolean`
  `isPresent()`
  returns whether KOML is present or not, i.e.
  `static Object`
  `read(File file)`
  reads the XML-serialized object from the given file
  `static Object`
  `read(InputStream stream)`
  reads the XML-serialized object from a stream
  `static Object`
  `read(String filename)`
  reads the XML-serialized object from the given file
  `static boolean`
  `write(File file, Object o)`
  write the XML-serialized object to the given file
  `static boolean`
  `write(OutputStream stream, Object o)`
  writes the XML-serialized object to a stream
  `static boolean`
  `write(String filename, Object o)`
  writes the XML-serialized object to the given file

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FILE_EXTENSION

    public static final String FILE_EXTENSION
    the extension for KOML files (including '.')
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### KOML

    public KOML()

- ## Method Details

  - ### isPresent

    public static boolean isPresent()
    returns whether KOML is present or not, i.e. whether the classes are in the classpath or not
    Returns:
      whether KOML is available

  - ### read

    public static Object read(String filename) throws Exception
    reads the XML-serialized object from the given file
    Parameters:
      `filename` - the file to deserialize the object from
    Returns:
      the deserialized object
    Throws:
      `Exception` - if something goes wrong while reading from the file

  - ### read

    public static Object read(File file) throws Exception
    reads the XML-serialized object from the given file
    Parameters:
      `file` - the file to deserialize the object from
    Returns:
      the deserialized object
    Throws:
      `Exception` - if something goes wrong while reading from the file

  - ### read

    public static Object read(InputStream stream) throws Exception
    reads the XML-serialized object from a stream
    Parameters:
      `stream` - the stream to deserialize the object from
    Returns:
      the deserialized object
    Throws:
      `Exception` - if something goes wrong while reading from the stream

  - ### write

    public static boolean write(String filename, Object o) throws Exception
    writes the XML-serialized object to the given file
    Parameters:
      `filename` - the file to serialize the object to
      `o` - the object to write to the file
    Returns:
      whether writing was successful or not
    Throws:
      `Exception` - if something goes wrong while writing to the file

  - ### write

    public static boolean write(File file, Object o) throws Exception
    write the XML-serialized object to the given file
    Parameters:
      `file` - the file to serialize the object to
      `o` - the object to write to the file
    Returns:
      whether writing was successful or not
    Throws:
      `Exception` - if something goes wrong while writing to the file

  - ### write

    public static boolean write(OutputStream stream, Object o) throws Exception
    writes the XML-serialized object to a stream
    Parameters:
      `stream` - the stream to serialize the object to
      `o` - the object to write to the stream
    Returns:
      whether writing was successful or not
    Throws:
      `Exception` - if something goes wrong while writing to the stream

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Returns:
      the revision